#include <catch.hpp>

#include <PastisAssert.hpp>
#include <string>

TEST_CASE("PastisAssert", "[utils]") {
  SECTION("checking for assert error") {
    const std::string filename = "filename";
    const int line = 10;
    const std::string function = "function";
    const std::string message = "message";

    AssertError assert_error(filename, line, function, message);

    REQUIRE(Catch::Detail::stringify(assert_error) == "\n*** Assertion error ***\n at filename:10\n in function\n*** message\n");
  }
}
